Page MenuHomePhabricator

AbuseFilter doesn't log creating redirects in mainspace
Closed, ResolvedPublic

Description

It works in other namespaces d:Special:AbuseLog/428942 and also in all namespaces but only if you examine old revisions[1]

[1] https://www.wikidata.org/w/index.php?title=Special:AbuseFilter/examine/157156654&testfilter=%22%23REDIRECT%22+in+new_wikitext+%26+%21%28%22%23REDIRECT%22+in+old_wikitext%29


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=0

Details

Reference
bz70715

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:52 AM
bzimport set Reference to bz70715.
bzimport added a subscriber: Unknown Object (MLST).

Isn't this rather a bug with the AbuseFilter extension than with the WikidataRepo?

whym added a comment.Sep 18 2014, 8:45 AM

When you test the filter with "Examine past edits", it will match as expected. As Lymantria guessed [1], this might be due to the approach of using API for creating item redirects on Wikidata.

[1] https://www.wikidata.org/w/index.php?title=Wikidata:Contact_the_development_team&oldid=158155331#AbuseFilter_and_redirects

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher raised the priority of this task from Normal to High.Dec 3 2014, 8:04 PM
Lydia_Pintscher set Security to None.
matej_suchanek added a project: AbuseFilter.

So EditEntity has a method runEditFilterHooks which it called from attemptSave and calls the EditFilterMergedContent hook.
RedirectCreationInteractor does not call this hook in its saveRedirect method.
I guess a call to this hook must be added!!

Lydia_Pintscher raised the priority of this task from High to Unbreak Now!.Feb 17 2015, 4:31 PM
Lydia_Pintscher lowered the priority of this task from Unbreak Now! to Needs Triage.
Lydia_Pintscher triaged this task as High priority.

Change 204768 had a related patch set uploaded (by Addshore):
Implement EditFilterHookRunner

https://gerrit.wikimedia.org/r/204768

Change 204790 had a related patch set uploaded (by Addshore):
Run EditFilterHooks in RedirectCreationInteractor

https://gerrit.wikimedia.org/r/204790

Change 204768 merged by jenkins-bot:
Implement EditFilterHookRunner

https://gerrit.wikimedia.org/r/204768

Change 204790 merged by jenkins-bot:
Run EditFilterHooks in RedirectCreationInteractor

https://gerrit.wikimedia.org/r/204790

hoo closed this task as Resolved.Apr 20 2015, 3:48 PM
hoo removed projects: Patch-For-Review, patch-welcome.
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-04-07 board.Apr 20 2015, 3:52 PM